Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfKindType

    java.lang.Object
      java.lang.Enum<OdfKindType>
          org.odftoolkit.odfdom.dom.type.text.OdfKindType

All Implemented Interfaces:
  Serializable, Comparable<OdfKindType>

    public enum OdfKindType

extends Enum<OdfKindType>

DOM implementation of OpenDocument attribute text:kind.

Enum Constant Summary
`GAP`
`UNIT`
`VALUE`

Method Summary
`static OdfKindType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfKindType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfKindType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfKindType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GAP

    public static final OdfKindType GAP

### VALUE

    public static final OdfKindType VALUE

### UNIT

    public static final OdfKindType UNIT

Method Detail

### values

    public static OdfKindType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfKindType c : OdfKindType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfKindType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfKindType>`
  Returns:
    return the name of OdfKindType

### toString

    public static String toString(OdfKindType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfKindType, see text:kind
  Returns:
    return the name of OdfKindType

### enumValueOf

    public static OdfKindType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfKindType
  Returns:
    return the constant of OdfKindType, see text:kind

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.